List DER (Distributed Energy Resources)
Obtain DER data for all service points authorised by the end user
AI Actions
Obtain DER data for all service points authorised by the end user
Query Parameters
A unique identifier for the End User object.
page[before]string
When the page[before] is specified, backwards pagination is achieved
page[after]string
When the page[after] is specified, forwards pagination is achieved
page[size]integer
When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.fiskil.com/v1/energy/der?end_user_id=string"{
"der_records": [
{
"ac_connections": [
{
"commissioning_date": "2023-09-18",
"connection_identifier": 123456,
"count": 2,
"der_devices": [
{
"count": 5,
"device_identifier": 654321,
"manufacturer": "DeviceCorp",
"model_number": "ModelX",
"nominal_rated_capacity": 7.5,
"nominal_storage_capacity": 10,
"status": "ACTIVE",
"subtype": "Lithium-ion battery",
"type": "SOLAR_PV"
}
],
"equipment_type": "INVERTER",
"inverter_device_capacity": 5,
"inverter_model_number": "XYZ123",
"inverter_series": "SeriesX",
"manufacturer_name": "InverterCorp",
"status": "ACTIVE"
}
],
"approved_capacity": 10.5,
"arrangement_id": "arr678",
"available_phases_count": 3,
"fiskil_id": "energy_der_abcdef1234",
"has_central_protection_control": false,
"installed_phases_count": 3,
"institution_id": "140",
"islandable_installation": true,
"protection_mode": {
"export_limit_kva": 50,
"frequency_rate_of_change": 0.2,
"inter_trip_scheme": "local substation",
"neutral_voltage_displacement": 240,
"over_frequency_protection": 50,
"over_frequency_protection_delay": 0.5,
"over_voltage_protection": 250,
"over_voltage_protection_delay": 0.3,
"sustained_over_voltage": 255,
"sustained_over_voltage_delay": 0.6,
"under_frequency_protection": 48.5,
"under_frequency_protection_delay": 0.4,
"under_voltage_protection": 220,
"under_voltage_protection_delay": 0.7,
"voltage_vector_shift": 30
},
"service_point_id": "SP123"
}
],
"links": {
"next": "https://api.fiskil.com/v1/accounts?page[after]=x",
"prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
}
}{
"id": "string",
"message": "string",
"name": "string"
}{
"id": "string",
"message": "string",
"name": "string"
}Was this page helpful?